<?php
/** ensure this file is being included by a parent file */
defined( '_VALID_' ) or die( 'Direct Access to this location is not allowed.' );
require_once "modules/book/time_inc.php";	

$user_db=$user;

//ส่วนหัว
echo "<br />";
echo "<table width='100%' border='0' align='center'>";
echo "<tr align='center'><td><font color='#006666' size='3'><strong>ย้ายหนังสือราชการที่อายุเกิน 2 ปี ไปเก็บสำรอง</strong></font></td></tr>";
if(!($index==1)){
echo "<tr align='center'><td><font color='#006666' size='2'>1. ข้อมูลหนังสือราชการที่เกิน 2 ปี จะย้ายไปเก็บที่ฐานข้อมูลสำรอง เพื่อให้ระบบปัจจุบันทำงานได้รวดเร็ว</font></td></tr>";
echo "<tr align='center'><td><font color='#006666' size='2'>2. การย้ายข้อมูลใน Page นี้ จะใช้กรณีมีข้อมูลเกิน 2 ปีจำนวนมากอยู่ก่อนแล้ว เพื่อช่วยย้ายได้เร็วขึ้น โดยจะย้ายครั้งละ 300 รายการ</font></td></tr>";
echo "<tr align='center'><td><font color='#006666' size='2'>3. หลังจากเปิดใช้งานฐานข้อมูลสำรอง ระบบจะทำการย้ายให้โดยอัตโนมัติ การย้ายใน Page นี้ ก็จะไม่มีความจำเป็นอีกต่อไป</font></td></tr>";
}
echo "</table>";
echo "<br>";

//ส่วนฟอร์มรับข้อมูล
if($index==1){
// **ส่วนของการย้ายข้อมูลไป amssplus_reserve
$connect_reserve=@mysqli_connect($hostname,$user_db,$password,'amssplus_reserve');
if($connect_reserve){
mysqli_query($connect_reserve,"SET NAMES utf8");
		$date_now=date('Y-m-d');
		$f_date_now=explode("-", $date_now);
		$y_date[0]=$f_date_now[0]-2;  //ย้อนหลัง 2 ปี
		$previous_date=$y_date[0]."-".$f_date_now[1]."-".$f_date_now[2]." "." 00:00:00";
		
		$sql= "select * from book_main  where send_date<'$previous_date' limit 300";
		$dbquery_bookmain = mysqli_query($connect,$sql);
		$num_row=0;
		While ($result_bookmain = mysqli_fetch_array($dbquery_bookmain)){
		$answer_del=0;
		$file_del=0;
		$sql = "insert into book_main (book_type, sender, office, level, secret, bookno, signdate, subject, detail, ref_id, send_date,bookregis_link) values ('$result_bookmain[1]','$result_bookmain[2]', '$result_bookmain[3]','$result_bookmain[4]', '$result_bookmain[5]', '$result_bookmain[6]', '$result_bookmain[7]','$result_bookmain[8]','$result_bookmain[9]','$result_bookmain[10]','$result_bookmain[11]','$result_bookmain[12]')";
		if($dbquery = mysqli_query($connect_reserve,$sql)){
					//book_sendto_answer
					$sql= "select * from book_sendto_answer where ref_id='$result_bookmain[ref_id]' ";
					$dbquery_ref = mysqli_query($connect,$sql);
					While ($result_ref = mysqli_fetch_array($dbquery_ref)){
					$sql_ref2 = "insert into book_sendto_answer (send_level,ref_id,send_to,school,status,answer,answer_time,forward_from,rec_forward_date) values ('$result_ref[1]','$result_ref[2]','$result_ref[3]','$result_ref[4]','$result_ref[5]','$result_ref[6]','$result_ref[7]','$result_ref[8]','$result_ref[9]')";		
					if($dbquery_ref_2 = mysqli_query($connect_reserve,$sql_ref2)){
					$answer_del=1;
					}//end if
					}//end while
					
					//book_filebook
					$sql= "select * from book_filebook where ref_id='$result_bookmain[ref_id]' ";
					$dbquery_ref3 = mysqli_query($connect,$sql);
					While ($result_ref3= mysqli_fetch_array($dbquery_ref3)){
					$sql_ref4 = "insert into book_filebook (ref_id,file_name,file_des) values ('$result_ref3[1]','$result_ref3[2]','$result_ref3[3]')";		
					if($dbquery_ref_4 = mysqli_query($connect_reserve,$sql_ref4)){
					$file_del=1;
					}//end if
					}//end while
					
		} //end if
		
				//ลบข้อมูล
				if($answer_del==1){
				$sql = "delete from book_sendto_answer where ref_id='$result_bookmain[ref_id]' ";
				$dbquery = mysqli_query($connect,$sql);
				}
				if($file_del==1){
				$sql = "delete from  book_filebook where ref_id='$result_bookmain[ref_id]' ";
				$dbquery = mysqli_query($connect,$sql);
				}
				$sql = "delete from book_main where ref_id='$result_bookmain[ref_id]' ";
				$dbquery = mysqli_query($connect,$sql);
		$num_row++;		
		} //end while main
		
mysqli_close($connect_reserve);

$sql = "select send_date from book_main order by ms_id asc limit 1";
$dbquery = mysqli_query($connect,$sql);
$result = mysqli_fetch_array($dbquery);
$send_date=$result['send_date'];
$send_date=thai_date_4($send_date);

echo "<table width='70%' border='0' align='center'>";
echo "<tr align='left'><td><font color='#006666' size='2'>ย้ายข้อมูลหนังสือราชการแล้ว จำนวน $num_row รายการ</font></td></tr>";
echo "<tr align='left'><td><font color='#006666' size='2'>รายการหนังสือราชการเก่าสุดในระบบ คือ $send_date</font></td></tr>";
echo "</table>";
echo "<br />";
}
else{
echo "<table width='70%' border='0' align='center'>";
echo "<tr align='center'><td><font color='#FE2E2E' size='2'>ยังไม่มีฐานข้อมูลสำรอง ระบบไม่สามารถดำเนินการได้</font></td></tr>";
echo "</table>";
echo "<br />";
}
// **
}  // enf if index==1


//$sql = "select * from book_group";
//$dbquery = mysqli_query($connect,$sql);
echo  "<table width='50%' border='0' align='center'>";
echo "<Tr><Td align='center'><INPUT TYPE='button' name='smb' value='ย้ายข้อมูล' onclick='location.href=\"?option=book&task=main/move_book&index=1\"'</Td></Tr>";
echo "</Table>";

?>
